summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorS├ębastien Fabbro <bicatali@gentoo.org>2017-07-21 00:09:28 +0000
committerS├ębastien Fabbro <bicatali@gentoo.org>2017-07-21 00:22:30 +0000
commit472f9442ac2281e0e960bbeb05abcdf042242633 (patch)
tree6c11c50384e7a21261cd7f56b05ecb17acc03bec /dev-libs/ntl
parentdev-libs/gf2x: version bump with cpu flags (diff)
downloadgentoo-472f9442ac2281e0e960bbeb05abcdf042242633.tar.gz
gentoo-472f9442ac2281e0e960bbeb05abcdf042242633.tar.bz2
gentoo-472f9442ac2281e0e960bbeb05abcdf042242633.zip
dev-libs/ntl: version bump
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'dev-libs/ntl')
-rw-r--r--dev-libs/ntl/Manifest1
-rw-r--r--dev-libs/ntl/ntl-10.5.0.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/dev-libs/ntl/Manifest b/dev-libs/ntl/Manifest
index 78ef6917559..4e3d253ab81 100644
--- a/dev-libs/ntl/Manifest
+++ b/dev-libs/ntl/Manifest
@@ -1,3 +1,4 @@
+DIST ntl-10.5.0.tar.gz 1278729 SHA256 b90b36c9dd8954c9bc54410b1d57c00be956ae1db5a062945822bbd7a86ab4d2 SHA512 b299dfc29005079470972c2a9ca02acd0ebdbc31ff8923df02f3627dbc66daa0f527226972cef032e1e488c4272554634a96456e94653fdf8b01356160319aa0 WHIRLPOOL 270f76a0088c79b506a1e0bfa12cbe06419bb5c0421e7cdb9fcc3ec2bd6b22b4f4c2468bbe73001090db623e8a662d185e181f4390475513b32a388ecca7c3cc
DIST ntl-5.5.2.tar.gz 707247 SHA256 ef7fe7c8b60ec6e05b2a279caad0081263f7fb68b7360120846644cde726ff56 SHA512 44892e00051ca743b1184c9ae30e62c8e2605edaa394358979ff990a535993a6f282d882871ca9ebb3c632971f806c41d9b8024c8fb2cc6fa0d22bc26c66db06 WHIRLPOOL 4587463c4b52be721a7feb164fab73341af97c6f451c0bb2fbf675503c8a5262a5d7615d628e97f082dde23ce49db0f0b314c625dae0526bb1abdfc88732896f
DIST ntl-6.1.0.tar.gz 715439 SHA256 e16c30ceef1d47e94b8a37a8c4a1fb58729b8f8449c648e2a96280a3eecf9b6f SHA512 8c013bd4a250c8e29d57864585492be1f392c84356959d8100d5c45b420e411e5cd677524e2d50bbe265dda4c364185395780ba5d8490f6ac46da73c6a9728de WHIRLPOOL cf2a48cfe33cb58d8bda35d4a18d57a20ae23f2ba53f0f757d1bacc58ffa0bfdfd38363db38996e2e4069f5e3f2ad6a3ae9a859437a93404308512652190c765
DIST ntl-9.3.0.tar.gz 888710 SHA256 8f31508a9176b3fc843f08468b1632017f2450677bfd5147ead5136e0f24b68f SHA512 dfb4ac7a66aaddcf5d0d0c9fcaff253b0196a9d9f727788127dd18e131528fe60dedf8bfb864503225fc5796987aec9c7019b74e0fc12cd12c20aa33a9cf9d7d WHIRLPOOL a1f7cf573d49a277f0b2f1d50d18e66ef83a54430c517fd5d3c75e800216b706e8b5ff10e6ed2dc02b6eb4f9290671b249c67f1937cced96ac987055aaa3ab99
diff --git a/dev-libs/ntl/ntl-10.5.0.ebuild b/dev-libs/ntl/ntl-10.5.0.ebuild
new file mode 100644
index 00000000000..00821f04ef3
--- /dev/null
+++ b/dev-libs/ntl/ntl-10.5.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="High-performance and portable Number Theory C++ library"
+HOMEPAGE="http://shoup.net/ntl/"
+SRC_URI="http://www.shoup.net/ntl/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0/35"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="doc static-libs test threads bindist"
+
+RDEPEND="dev-libs/gmp:0=
+ >=dev-libs/gf2x-0.9"
+DEPEND="${RDEPEND}
+ dev-lang/perl"
+
+S="${WORKDIR}/${P}/src"
+
+pkg_setup() {
+ replace-flags -O[3-9] -O2
+}
+
+src_configure() {
+ # Currently the build system can build a static library or
+ # both static and shared libraries. But not only shared libraries.
+ perl DoConfig \
+ PREFIX="${EPREFIX}"/usr \
+ LIBDIR="${EPREFIX}"/usr/$(get_libdir) \
+ CXXFLAGS="${CXXFLAGS}" \
+ CPPFLAGS="${CPPFLAGS}" \
+ LDFLAGS="${LDFLAGS}" \
+ CXX="$(tc-getCXX)" \
+ AR="$(tc-getAR)" \
+ RANLIB="$(tc-getRANLIB)" \
+ SHARED=on \
+ NTL_GMP_LIP=on NTL_GF2X_LIB=on \
+ $(usex threads NTL_THREADS= NTL_THREADS= on off) \
+ $(usex bindist NATIVE= NATIVE= off on) \
+ || die "DoConfig failed"
+}
+
+src_install() {
+ default
+ if ! use static-libs; then
+ prune_libtool_files --all
+ rm -f "${ED}"/usr/$(get_libdir)/libntl.a
+ fi
+
+ cd ..
+ rm -rf "${ED}"/usr/share/doc/NTL
+ dodoc README
+ if use doc ; then
+ dodoc doc/*.txt
+ docinto html
+ dodoc doc/*.html doc/*.gif
+ fi
+}